Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 781554 - x11-misc/lightdm: migrate to GLEP 81
Summary: x11-misc/lightdm: migrate to GLEP 81
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: glep-81
  Show dependency tree
 
Reported: 2021-04-08 21:24 UTC by Conrad Kostecki
Modified: 2022-05-13 22:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2021-04-08 21:24:24 UTC
Current package still uses old 'user' eclass. Please port to GLEP 81.
If you need help, just ask.
Comment 1 Larry the Git Cow gentoo-dev 2021-07-13 22:38:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/data/api.git/commit/?id=305e53ac4d3290cb082266f737cdb98413c81b7f

commit 305e53ac4d3290cb082266f737cdb98413c81b7f
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2021-07-13 22:05:21 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2021-07-13 22:37:54 +0000

    uid-gid.txt: add uid/gid (134) lightdm
    
    Bug: https://bugs.gentoo.org/781554
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 files/uid-gid.txt | 1 +
 1 file changed, 1 insertion(+)
Comment 2 Larry the Git Cow gentoo-dev 2021-07-14 19:52:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=322857dfdf14e0ae10ea3a1c4e0860303e399c46

commit 322857dfdf14e0ae10ea3a1c4e0860303e399c46
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2021-07-14 19:46:10 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2021-07-14 19:51:22 +0000

    acct-group/lightdm: add group (134) lightdm
    
    Bug: https://bugs.gentoo.org/781554
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 acct-group/lightdm/lightdm-0.ebuild | 10 ++++++++++
 acct-group/lightdm/metadata.xml     |  8 ++++++++
 2 files changed, 18 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2022-05-13 22:50:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4385185bd024aac89dcfb48c11ecce3bb556cf4e

commit 4385185bd024aac89dcfb48c11ecce3bb556cf4e
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2022-04-02 11:26:08 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2022-05-13 22:49:53 +0000

    x11-misc/lightdm: migrate to glep-81, change use flag
    
    Use flag 'non_root' renamed to 'non-root', as underscore is not allowed
    any more.
    
    Closes: https://bugs.gentoo.org/781554
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/24863
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 ...ightdm-1.30.0-r2.ebuild => lightdm-1.30.0-r3.ebuild} | 17 +++++++----------
 x11-misc/lightdm/metadata.xml                           |  2 +-
 2 files changed, 8 insertions(+), 11 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f131c79175fa00eefd9cd1fa31c2bf0e840f37f8

commit f131c79175fa00eefd9cd1fa31c2bf0e840f37f8
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2022-04-02 11:23:33 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2022-05-13 22:49:52 +0000

    acct-user/lightdm: initial import
    
    Bug: https://bugs.gentoo.org/781554
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 acct-user/lightdm/lightdm-0.ebuild | 14 ++++++++++++++
 acct-user/lightdm/metadata.xml     |  8 ++++++++
 2 files changed, 22 insertions(+)